# Uses of Class
java.nio.channels.spi.AsynchronousChannelProvider

Packages that use AsynchronousChannelProvider
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of AsynchronousChannelProvider in java.nio.channels

Methods in java.nio.channels that return AsynchronousChannelProvider
Modifier and Type
Method
Description
`final AsynchronousChannelProvider`
AsynchronousChannelGroup.`provider()`
Returns the provider that created this channel group.
`final AsynchronousChannelProvider`
AsynchronousServerSocketChannel.`provider()`
Returns the provider that created this channel.
`final AsynchronousChannelProvider`
AsynchronousSocketChannel.`provider()`
Returns the provider that created this channel.
Constructors in java.nio.channels with parameters of type AsynchronousChannelProvider
Modifier
Constructor
Description
`protected`
`AsynchronousChannelGroup(AsynchronousChannelProvider provider)`
Initialize a new instance of this class.
`protected`
`AsynchronousServerSocketChannel(AsynchronousChannelProvider provider)`
Initializes a new instance of this class.
`protected`
`AsynchronousSocketChannel(AsynchronousChannelProvider provider)`
Initializes a new instance of this class.

## Uses of AsynchronousChannelProvider in java.nio.channels.spi

Methods in java.nio.channels.spi that return AsynchronousChannelProvider
Modifier and Type
Method
Description
`static AsynchronousChannelProvider`
AsynchronousChannelProvider.`provider()`
Returns the system-wide default asynchronous channel provider for this invocation of the Java virtual machine.